Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.stats.svm
Class AbstractSVMClassifierModel

    java.lang.Object
      org.biojava.stats.svm.AbstractSVMClassifierModel

All Implemented Interfaces:
  SVMClassifierModel

Direct Known Subclasses:
  SimpleSVMClassifierModel

    public abstract class AbstractSVMClassifierModel

extends Object
implements SVMClassifierModel

Abstract implementation of SVMClassifierModel.

To implement a read-only implementation, you need only implement getThreshold and getAlpha.

Author:
  Matthew Pocock

Constructor Summary
`AbstractSVMClassifierModel()`

Method Summary
`void` | `addItem(Object item)`
`void` | `addItemAlpha(Object item, double alpha)`
`double` | `classify(Object item)`
`void` | `clear()`
`void` | `removeItem(Object item)`
`void` | `setAlpha(Object item, double alpha)`
`void` | `setThreshold()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.biojava.stats.svm.SVMClassifierModel
`getAlpha, getKernel, getThreshold, itemAlphas, items, setThreshold`

Constructor Detail

### AbstractSVMClassifierModel

    public AbstractSVMClassifierModel()

Method Detail

### setThreshold

    public void setThreshold()
                      throws UnsupportedOperationException

  Throws:
    `UnsupportedOperationException`

### setAlpha

    public void setAlpha(Object item,
                         double alpha)
                  throws UnsupportedOperationException

  Specified by:
    `setAlpha` in interface `SVMClassifierModel`
  Throws:
    `UnsupportedOperationException`

### addItem

    public void addItem(Object item)
                 throws UnsupportedOperationException

  Specified by:
    `addItem` in interface `SVMClassifierModel`
  Throws:
    `UnsupportedOperationException`

### addItemAlpha

    public void addItemAlpha(Object item,
                             double alpha)
                      throws UnsupportedOperationException

  Specified by:
    `addItemAlpha` in interface `SVMClassifierModel`
  Throws:
    `UnsupportedOperationException`

### removeItem

    public void removeItem(Object item)
                    throws UnsupportedOperationException

  Specified by:
    `removeItem` in interface `SVMClassifierModel`
  Throws:
    `UnsupportedOperationException`

### clear

    public void clear()
               throws UnsupportedOperationException

  Specified by:
    `clear` in interface `SVMClassifierModel`
  Throws:
    `UnsupportedOperationException`

### classify

    public double classify(Object item)

  Specified by:
    `classify` in interface `SVMClassifierModel`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD